import cv2

def apply_hfe_filter(image, k1, k2):

    high_pass = cv2.Laplacian(image, cv2.CV_64F)
    high_pass = cv2.convertScaleAbs(high_pass)

    hfe_result = cv2.addWeighted(image, k1, high_pass, k2, 0)
    return hfe_result